Bug 1295129 - Review Request: python-boto3 - The AWS SDK for Python
Review Request: python-boto3 - The AWS SDK for Python
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On: 1294781 1294782
Blocks: 1295128
  Show dependency treegraph
 
Reported: 2016-01-02 11:12 EST by Fabio Alessandro Locati
Modified: 2016-02-03 12:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-03 12:13:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Fabio Alessandro Locati 2016-01-02 11:12:12 EST
Spec URL: https://fale.fedorapeople.org/aws/python-boto3.spec
SRPM URL: https://fale.fedorapeople.org/aws/python-boto3-1.2.3-1.fc23.src.rpm
Description: The AWS SDK for Python
Fedora Account System Username: fale
Comment 1 Fabio Alessandro Locati 2016-01-10 07:17:43 EST
Hi William,

Thanks for signing up for this review :). How's looking the package so far?
Comment 2 Upstream Release Monitoring 2016-01-11 15:04:11 EST
williamjmorenor's scratch build of python-boto3-1.2.3-1.fc23.src.rpm for el6-candidate completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12502591
Comment 4 William Moreno 2016-01-11 18:45:12 EST
Package Aproved
===============

I am fine with this package but upstream provides some test, open a issue upstream asking for include it in the tarball and ru the test in the build.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. 
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====
Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: python2-boto3-1.2.3-1.fc24.noarch.rpm
          python3-boto3-1.2.3-1.fc24.noarch.rpm
          python-boto3-1.2.3-1.fc24.src.rpm
python-boto3.src:64: W: setup-not-quiet
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
python3-boto3 (rpmlib, GLIBC filtered):
    python(abi)
    python3-botocore
    python3-jmespath

python2-boto3 (rpmlib, GLIBC filtered):
    python(abi)
    python-botocore
    python-jmespath

Provides
--------
python3-boto3:
    python3-boto3

python2-boto3:
    python-boto3
    python-boto3(x86-64)
    python2-boto3

Source checksums
----------------
https://pypi.python.org/packages/source/b/boto3/boto3-1.2.3.tar.gz :
  CHECKSUM(SHA256) this package     : 091206847d296520e5ec57706a5e4b428d017352eb3168c6bcb9a1ac9feab224
  CHECKSUM(SHA256) upstream package : 091206847d296520e5ec57706a5e4b428d017352eb3168c6bcb9a1ac9feab224
Comment 5 Fabio Alessandro Locati 2016-01-11 18:48:53 EST
Thanks a lot :-). I'll follow your suggestions!
Comment 6 Gwyn Ciesla 2016-01-12 03:48:43 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-boto3

Note You need to log in before you can comment on or make changes to this bug.